# Source code for azure.mgmt.notificationhubs.models.check_availability_parameters

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CheckAvailabilityParameters(Model):
        """Parameters supplied to the Check Name Availability for Namespace and
        NotificationHubs.

        :param name: Gets or sets name
        :type name: str
        :param location: Gets or sets location.
        :type location: str
        :param tags: Gets or sets tags.
        :type tags: dict
        :param is_availiable: Gets or sets true if the name is available and can
         be used to create new Namespace/NotificationHub. Otherwise false.
        :type is_availiable: bool
        """

        _validation = {
            'name': {'required': True},
        }

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'location': {'key': 'location', 'type': 'str'},
            'tags': {'key': 'tags', 'type': '{str}'},
            'is_availiable': {'key': 'isAvailiable', 'type': 'bool'},
        }

        def __init__(self, name, location=None, tags=None, is_availiable=None):
            self.name = name
            self.location = location
            self.tags = tags
            self.is_availiable = is_availiable